import { Widget } from "@lumino/widgets";
import JSZip from "jszip";
export declare const CommandIDs: {
    navigate: string;
    toggle: string;
    refresh: string;
    select: string;
    set_context: string;
    rename: string;
    create_folder: string;
    create_file: string;
    delete_op: string;
    download: string;
    upload: string;
    move: string;
    copy_path: string;
};
export declare const Patterns: {
    tree: RegExp;
    workspace: RegExp;
};
/**
 * Version of btoa that omits any "=" padding chars at the end
 */
export declare function btoaNopad(s: string): string;
export declare function createOpenNode(): HTMLElement;
export declare function doRename(text: HTMLElement, edit: HTMLInputElement): Promise<string>;
export declare function fileSizeString(fileBytes: number): string;
export declare function switchView(mode: any): "none" | "";
export declare function writeZipFile(zip: JSZip, path: string): void;
export declare class OpenDirectWidget extends Widget {
    constructor();
    getValue(): string;
    get inputNode(): HTMLInputElement;
}
